OpenMesh: OpenMesh::Subdivider::Adaptive::FFc< M > Class Template Reference

| OpenMesh

Public Types | Public Member Functions | Friends | List of all members
OpenMesh::Subdivider::Adaptive::FFc< M > Class Template Reference

Composite rule FFc. More...

`#include <OpenMesh/Tools/Subdivider/Adaptive/Composite/RulesT.hh>`

Inheritance diagram for OpenMesh::Subdivider::Adaptive::FFc< M >:
[legend]
Collaboration diagram for OpenMesh::Subdivider::Adaptive::FFc< M >:
[legend]

## Public Types
typedef FFc< M > | Self
typedef RuleHandleT< Self > | Handle
typedef RuleInterfaceT< M > | Inherited
Public Types inherited from OpenMesh::Subdivider::Adaptive::RuleInterfaceT< M >
typedef M | Mesh
typedef RuleInterfaceT< M > | Self
typedef RuleHandleT< Self > | Rule
typedef M::Scalar | scalar_t

## Public Member Functions
const char * | type () const override
| Returns the name of the rule. More...
| FFc (M &_mesh)
void | raise (typename M::FaceHandle &_fh, state_t _target_state) override
| Raise item to target state `_target_state`.
Public Member Functions inherited from OpenMesh::Subdivider::Adaptive::RuleInterfaceT< M >
virtual | ~RuleInterfaceT ()
| Destructor.
virtual void | raise (typename M::EdgeHandle &_eh, state_t _target_state)
| Raise item to target state `_target_state`.
virtual void | raise (typename M::VertexHandle &_vh, state_t _target_state)
| Raise item to target state `_target_state`.
void | update (typename M::FaceHandle &_fh, state_t _target_state)
| Raise item to target state `_target_state`.
void | update (typename M::EdgeHandle &_eh, state_t _target_state)
| Raise item to target state `_target_state`.
void | update (typename M::VertexHandle &_vh, state_t _target_state)
| Raise item to target state `_target_state`.
int | subdiv_type () const
| Type of split operation, if it is a topological operator.
int | number () const
| Position in rule sequence.
virtual void | set_coeff (scalar_t _coeff)
| Set coefficient - ignored by non-parameterized rules.
scalar_t | coeff () const
| Get coefficient - ignored by non-parameterized rules.

## Friends
class | CompositeT< M >

## Additional Inherited Members
Protected Member Functions inherited from OpenMesh::Subdivider::Adaptive::RuleInterfaceT< M >
| RuleInterfaceT (Mesh &_mesh)
| Default constructor.
void | set_prev_rule (Self *&_p)
| Set coefficient - ignored by non-parameterized rules.
Self * | prev_rule ()
| Set coefficient - ignored by non-parameterized rules.
void | set_subdiv_rule (Self *&_n)
| Set coefficient - ignored by non-parameterized rules.
Self * | subdiv_rule () const
| Set coefficient - ignored by non-parameterized rules.
void | set_number (int _n)
| Set coefficient - ignored by non-parameterized rules.
void | set_n_rules (int _n)
| Set coefficient - ignored by non-parameterized rules.
int | n_rules () const
| Set coefficient - ignored by non-parameterized rules.
void | set_subdiv_type (int _n)
| Set coefficient - ignored by non-parameterized rules.
Protected Attributes inherited from OpenMesh::Subdivider::Adaptive::RuleInterfaceT< M >
Mesh & | mesh_
| Set coefficient - ignored by non-parameterized rules.

## Detailed Description

### template<class M>
class OpenMesh::Subdivider::Adaptive::FFc< M >

Composite rule FFc.

## Member Function Documentation

## ◆ type()

template<class M >

const char* OpenMesh::Subdivider::Adaptive::FFc< M >::type | ( |  | ) | const
| inlineoverridevirtual

Returns the name of the rule.

Use define COMPOSITE_RULE to overload this function in a derived class.

Implements OpenMesh::Subdivider::Adaptive::RuleInterfaceT< M >.

The documentation for this class was generated from the following file:

- OpenMesh/Tools/Subdivider/Adaptive/Composite/RulesT.hh